<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension
         point="org.eclipse.ui.commands">
      <command
            description="%command.description"
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.EditWithLinkEditor"
            name="%command.name">
      </command>
      <command
            description="%command.description.0"
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.AddToLinkEditor"
            name="%command.name.0">
      </command>
       <command
            description="%command.description.1"
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.ShowLinksObjectContent"
            name="%command.name.1">
      </command>
      <command
           description="%command.description.2"
           id="info.textgrid.lab.linkeditor.rcp_linkeditor.showLinkeditorPerspective"
           name="%command.name.2">
     </command>
      <category
            name="%category.name"
            id="RCP_Linkeditor.category">
      </category>
      <command
            name="%command.name.3"
            description="%command.description.3"
            categoryId="RCP_Linkeditor.category"
            id="RCP_Linkeditor.open">
      </command>
      <command
            name="%command.name.4"
            description="%command.description.4"
            categoryId="RCP_Linkeditor.category"
            id="RCP_Linkeditor.openMessage">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.openFileInLinkEditor"
            name="%command.name.5">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.openLinksObjectEditor"
            name="%command.name.6">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.exportLinksObject"
            name="%command.name.7">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.importLinksObject"
            name="%command.name.8">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.create"
            name="%command.name.9">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.unlink"
            name="%command.name.10">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.delete"
            name="%command.name.11">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.save"
            name="%command.name.12">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAs"
            name="%command.name.13">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAsNewRevision"
            name="%command.name.14">
      </command>
      <command
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.reset"
            name="%command.name.15">
      </command>
      <command
            defaultHandler="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.DefaultOpenHandler"
            description="%command.description.5"
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen"
            name="%command.name.16">
         <commandParameter
               id="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen.parameter1"
               name="uri"
               optional="true">
         </commandParameter>
         <commandParameter
               id="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen.parameter2"
               name="readonly"
               optional="true">
         </commandParameter>
      </command>
   </extension>
      <extension
         point="org.eclipse.ui.handlers">
         <handler
            class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.EditWithLinkEditorHandler"
            commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.EditWithLinkEditor">
            <enabledWhen>
               <count
                     value="1">
               </count>
            </enabledWhen>
      </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.AddToLinkEditorHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.AddToLinkEditor">
            <enabledWhen>
               <count
                     value="1">
               </count>
            </enabledWhen>
         </handler>
         <handler
               class="org.eclipse.ui.internal.handlers.OpenInNewWindowHandler"
               commandId="org.eclipse.ui.window.newWindow">
            <enabledWhen>
               <systemTest
                     property="Deactivated"
                     value="RemoveMeToActivateTheMenuEntry">
               </systemTest>
            </enabledWhen>
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.ShowLinkEditorPerspectiveHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.showLinkeditorPerspective">
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.OpenFileInLinkEditorHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.openFileInLinkEditor">
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.OpenLinksObjectEditorHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.openLinksObjectEditor">
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.ImportLinksObjectHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.importLinksObject">
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.ExportLinksObjectHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.exportLinksObject">
            <enabledWhen>
               <count
                     value="1">
               </count>
            </enabledWhen>
         </handler>
         <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.CreateNewLinkHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.create">
            <enabledWhen>
               <test
                     forcePluginActivation="true"
                     property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
                     value="true">
               </test>
            </enabledWhen>
         </handler>
          <handler
                class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.UnlinkHandler"
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.unlink">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
                      value="true">
                </test>
             </enabledWhen>
          </handler>
         
          <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.DeleteActiveSelectionHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.delete">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateReset"
                      value="true">
                </test>
             </enabledWhen>
         </handler>
         
          <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.SaveHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.save">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
                      value="true">
                </test>
             </enabledWhen>
         </handler>
         
          <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.SaveAsHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAs">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
                      value="true">
                </test>
             </enabledWhen>
         </handler>
          <handler
                class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.SaveAsNewRevisionHandler"
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAsNewRevision">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
                      value="true">
                </test>
             </enabledWhen>
          </handler>
         
          <handler
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.handlers.ResetHandler"
               commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.reset">
             <enabledWhen>
                <test
                      forcePluginActivation="true"
                      property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateReset"
                      value="true">
                </test>
             </enabledWhen>
         </handler>
   </extension>
   <extension
         point="info.textgrid.lab.core.model.contentTypes">
      <contentType
            eclipseContentType="info.textgrid.lab.linkeditor.linkedfile"
            extension="tgl"
            image="icons/069-zeige-BildLinkEditorPerspektive.gif"
            name="%contentType.name"
            typeID="text/linkeditorlinkedfile">
      </contentType>
      <contentType
            additionalContentTypePattern="^jpeg.*"
            creatable="false"
            extension="jpg"
            image="icons/image_obj.gif"
            name="%contentType.name.0"
            typeID="image/jpeg">
      </contentType>
      <contentType
            creatable="false"
            extension="tiff"
            image="icons/image_obj.gif"
            name="%contentType.name.1"
            typeID="image/tiff">
      </contentType>
      <contentType
            creatable="false"
            extension="png"
            image="icons/image_obj.gif"
            internal="false"
            name="%contentType.name.2"
            typeID="image/png">
      </contentType>
      <contentType
            creatable="false"
            extension="gif"
            image="icons/image_obj.gif"
            internal="false"
            name="GIF image"
            typeID="image/gif">
      </contentType>
   </extension>
   <extension
         point="org.eclipse.core.contenttype.contentTypes">
      <content-type
            base-type="org.eclipse.core.runtime.xml"
            default-charset="UTF-8"
            file-extensions="tgl"
            id="info.textgrid.lab.linkeditor.linkedfile"
            name="%content-type.name"
            priority="normal">
      </content-type>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
           <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any?after=additions">
            <command
                  commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.EditWithLinkEditor"
                  icon="icons/069-zeige-BildLinkEditorPerspektive.gif">
            <visibleWhen
                  checkEnabled="true">
               <iterate>
                  <and>
                     <adapt
                           type="info.textgrid.lab.core.model.TextGridObject">
                     </adapt>
                     <test
                           forcePluginActivation="true"
                           property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.CanBeLoadedToLinkEditor"
                           value="true">
                     </test>
                     <not>
                        <test
                              forcePluginActivation="true"
                              property="info.textgrid.lab.ui.core.testers.IsAggregation"
                              value="true">
                        </test>
                     </not>
                     <systemTest
                           property="Deactivated"
                           value="RemoveMeToActivateTheMenuEntry">
                     </systemTest>
                  </and>
               </iterate>
            </visibleWhen>
         </command>
      </menuContribution>
           <menuContribution
                 locationURI="popup:org.eclipse.ui.popup.any?after=popup.anchor2">
              <command
                    commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.AddToLinkEditor"
                    icon="icons/069-zeige-BildLinkEditorPerspektive.gif">
                 <visibleWhen
                       checkEnabled="true">
                    <iterate>
                       <and>
                          <adapt
                                type="info.textgrid.lab.core.model.TextGridObject">
                          </adapt>
                          <test
                                forcePluginActivation="true"
                                property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.CanBeLoadedToLinkEditor"
                                value="true">
                          </test>
                          <not>
                             <test
                                   forcePluginActivation="true"
                                   property="info.textgrid.lab.ui.core.testers.IsAggregation"
                                   value="true">
                             </test>
                          </not>
                       </and>
                    </iterate>
                 </visibleWhen>
              </command>
           </menuContribution>
           
           <menuContribution
                 locationURI="popup:org.eclipse.ui.popup.any?after=additions">
              <command
                    commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.commands.ShowLinksObjectContent"
                    icon="icons/defaultview.gif">
                 <visibleWhen
                       checkEnabled="true">
                    <iterate>
                       <and>
                          <adapt
                                type="info.textgrid.lab.core.model.TextGridObject">
                          </adapt>
                          <test
                                forcePluginActivation="true"
                                property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
                                value="true">
                          </test>
                          <not>
                             <test
                                   forcePluginActivation="true"
                                   property="info.textgrid.lab.ui.core.testers.IsAggregation"
                                   value="true">
                             </test>
                          </not>
                          <systemTest
                                property="Deactivated"
                                value="RemoveMeToActivateTheMenuEntry">
                          </systemTest>
                       </and>
                    </iterate>
                 </visibleWhen>
              </command>
           </menuContribution>
       <menuContribution
           locationURI="toolbar:perspectivesbar">
        <command
              commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.showLinkeditorPerspective"
              label="%command.label"
              style="push"
              tooltip="%command.tooltip">
        </command>
     </menuContribution>
       <menuContribution
             locationURI="menu:file?before=info.textgrid.lab.ui.core.separator6">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.openFileInLinkEditor"
                style="push">
          </command>
       </menuContribution>
       <menuContribution
             locationURI="popup:org.eclipse.ui.popup.any?after=info.textgrid.lab.ui.core.commands.Open">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.openLinksObjectEditor"
                icon="icons/069-zeige-BildLinkEditorPerspektive.gif"
                style="push">
            <visibleWhen
                       checkEnabled="true">
                    <iterate>
                       <and>
                          <adapt
                                type="info.textgrid.lab.core.model.TextGridObject">
                          </adapt>
                          <test
                                forcePluginActivation="true"
                                property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
                                value="true">
                          </test>
                          <not>
                             <test
                                   forcePluginActivation="true"
                                   property="info.textgrid.lab.ui.core.testers.IsAggregation"
                                   value="true">
                             </test>
                          </not>
                       </and>
                    </iterate>
                 </visibleWhen>
          </command>
       </menuContribution>
       <menuContribution
             locationURI="menu:file?after=info.textgrid.lab.ui.core.commands.export">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.importLinksObject"
                style="push">
          </command>
       </menuContribution>
       <menuContribution
             locationURI="menu:file?after=info.textgrid.lab.linkeditor.rcp_linkeditor.importLinksObject">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.exportLinksObject"
                style="push">
             <visibleWhen
                   checkEnabled="true">
                <iterate>
                   <and>
                      <adapt
                            type="info.textgrid.lab.core.model.TextGridObject">
                      </adapt>
                      <test
                            forcePluginActivation="true"
                            property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
                            value="true">
                      </test>
                      <not>
                         <test
                               forcePluginActivation="true"
                               property="info.textgrid.lab.ui.core.testers.IsAggregation"
                               value="true">
                         </test>
                      </not>
                   </and>
                </iterate>
             </visibleWhen>
          </command>
       </menuContribution>
       <menuContribution
             locationURI="toolbar:org.eclipse.ui.main.toolbar">
          <toolbar
                id="info.textgrid.lab.linkeditor.rcp_linkeditor.toolbar">
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.create"
                   icon="icons/link_obj.gif"
                   label="%command.label.0"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.unlink"
                   icon="icons/unlink_obj.gif"
                   label="%command.label.1"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <separator
                   name="info.textgrid.lab.linkeditor.rcp_linkeditor.separator1"
                   visible="true">
             </separator>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.save"
                   icon="icons/save_edit.gif"
                   label="%command.label.2"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAs"
                   icon="icons/saveas16_edit.gif"
                   label="%command.label.3"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.saveAsNewRevision"
                   icon="icons/152-Revisionen.gif"
                   label="%command.label.4"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <separator
                   name="info.textgrid.lab.linkeditor.rcp_linkeditor.separator2"
                   visible="true">
             </separator>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.delete"
                   icon="icons/delete.gif"
                   label="%command.label.5"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
             <command
                   commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.reset"
                   icon="icons/reset.gif"
                   label="%command.label.6"
                   style="push">
                <visibleWhen
                      checkEnabled="false">
                   <with
                         variable="activeWorkbenchWindow.activePerspective">
                      <equals
                            value="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective">
                      </equals>
                   </with>
                </visibleWhen>
             </command>
          </toolbar>
       </menuContribution>
       <menuContribution
             locationURI="popup:org.eclipse.ui.popup.any?after=info.textgrid.lab.ui.core.commands.export">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.exportLinksObject"
                style="push">
             <visibleWhen
                   checkEnabled="true">
                <iterate>
                   <and>
                      <adapt
                            type="info.textgrid.lab.core.model.TextGridObject">
                      </adapt>
                      <test
                            forcePluginActivation="true"
                            property="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
                            value="true">
                      </test>
                      <not>
                         <test
                               forcePluginActivation="true"
                               property="info.textgrid.lab.ui.core.testers.IsAggregation"
                               value="true">
                         </test>
                      </not>
                   </and>
                </iterate>
             </visibleWhen>
          </command>
       </menuContribution>
       <menuContribution
             locationURI="menu:tools?after=tools.anchor1.2">
          <command
                commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.showLinkeditorPerspective"
                style="push">
          </command>
       </menuContribution>
   </extension>
   <extension
         point="org.eclipse.core.expressions.propertyTesters">
       <propertyTester
       class="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.CanBeLoadedToLinkEditor"
       id="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.CanBeLoadedToLinkEditor"
       namespace="info.textgrid.lab.linkeditor.rcp_linkeditor.testers"
       properties="CanBeLoadedToLinkEditor"
       type="java.lang.Object">
       </propertyTester>
         <propertyTester
       class="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
       id="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.IsLinksObject"
       namespace="info.textgrid.lab.linkeditor.rcp_linkeditor.testers"
       properties="IsLinksObject"
       type="java.lang.Object">
       </propertyTester>
         
         <propertyTester
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
               id="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateOperations"
               namespace="info.textgrid.lab.linkeditor.rcp_linkeditor.testers"
               properties="ActivateOperations"
               type="java.lang.Object">
         </propertyTester>
         
         <propertyTester
               class="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateReset"
               id="info.textgrid.lab.linkeditor.rcp_linkeditor.testers.ActivateReset"
               namespace="info.textgrid.lab.linkeditor.rcp_linkeditor.testers"
               properties="ActivateReset"
               type="java.lang.Object">
         </propertyTester>
   </extension>
   <extension
         id="info.textgrid.lab.linkeditor.rcp_linkeditor.annotationTypes"
         name="%extension.name"
         point="org.eclipse.ui.editors.annotationTypes">
      <type
            markerSeverity="0"
            markerType="org.eclipse.core.resources.marker"
            name="info.textgrid.lab.linkeditor.annotations.selected"
            super="info.textgrid.lab.linkeditor.annotations.unselected">
      </type>
      <type
            markerSeverity="0"
            markerType="org.eclipse.core.resources.marker"
            name="info.textgrid.lab.linkeditor.annotations.unselected">
      </type>
   </extension>
   <extension
         point="org.eclipse.ui.editors.markerAnnotationSpecification">
      <specification
            annotationType="info.textgrid.lab.linkeditor.annotations.unselected"
            colorPreferenceKey="unselectedLinkIndicationColor"
            colorPreferenceValue="128,128,255"
            contributesToHeader="false"
            highlightPreferenceKey="unselectedLinkHighlighting"
            highlightPreferenceValue="false"
            includeOnPreferencePage="true"
            isGoToNextNavigationTarget="true"
            isGoToNextNavigationTargetKey="isUnselectedLinkGotoNextNavigationTarget"
            isGoToPreviousNavigationTarget="true"
            isGoToPreviousNavigationTargetKey="isUnselectedLinkGotoPreviousNavigationTarget"
            label="%specification.label"
            overviewRulerPreferenceKey="unselectedLinkIndicationOverviewColor"
            overviewRulerPreferenceValue="true"
            presentationLayer="4"
            showInNextPrevDropdownToolbarAction="true"
            showInNextPrevDropdownToolbarActionKey="showUnselectedLinkInNextPrevDropdown"
            textPreferenceKey="unselectedLinkIndication"
            textPreferenceValue="true"
            textStylePreferenceKey="unselectedLinkTextStyle"
            textStylePreferenceValue="UNDERLINE"
            verticalRulerPreferenceKey="unselectedLinkIndicationRulerColor"
            verticalRulerPreferenceValue="false">
      </specification>
      <specification
            annotationType="info.textgrid.lab.linkeditor.annotations.selected"
            colorPreferenceKey="selectedLinkIndicationColor"
            colorPreferenceValue="0,0,255"
            contributesToHeader="false"
            highlightPreferenceKey="selectedLinkHighlighting"
            highlightPreferenceValue="false"
            includeOnPreferencePage="true"
            isGoToNextNavigationTarget="true"
            isGoToNextNavigationTargetKey="isSelectedLinkNextTarget"
            isGoToPreviousNavigationTarget="true"
            isGoToPreviousNavigationTargetKey="isSelectedLinkPreviousTarget"
            label="%specification.label.0"
            overviewRulerPreferenceKey="selectedLinkOverviewIndicationColor"
            overviewRulerPreferenceValue="true"
            presentationLayer="4"
            showInNextPrevDropdownToolbarAction="true"
            showInNextPrevDropdownToolbarActionKey="showSelectedLinkInNextDropdown"
            textPreferenceKey="selectedLinkIndication"
            textPreferenceValue="true"
            textStylePreferenceKey="selectedLinkTextStyle"
            textStylePreferenceValue="BOX"
            verticalRulerPreferenceKey="selectedLinkRulerIndicationColor"
            verticalRulerPreferenceValue="false">
      </specification>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="info.textgrid.lab.linkeditor.rcp_linkeditor.LinkEditorPerspective"
            icon="icons/069-zeige-BildLinkEditorPerspektive.gif"
            id="info.textgrid.lab.linkeditor.rcp_linkeditor.perspective"
            name="%perspective.name">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.showLinkeditorPerspective"
            icon="icons/069-zeige-BildLinkEditorPerspektive.gif">
      </image>
      <image
            commandId="info.textgrid.lab.linkeditor.rcp_linkeditor.openFileInLinkEditor"
            icon="icons/069-zeige-BildLinkEditorPerspektive.gif">
      </image>
   </extension>
 <extension
         point="info.textgrid.lab.ui.core.newObjectContributor">
      <contentTypeContributor
            allowFastFinish="false"
            contentType="text/linkeditorlinkedfile"
            needsValidMetadata="false"
            preparator="info.textgrid.lab.linkeditor.rcp_linkeditor.newObject.LinkeditorNewObjectPreparator"
            showMetadataPage="true">
         <wizardPage
               page="info.textgrid.lab.linkeditor.rcp_linkeditor.newObject.AddObjectsToLinkeditorPage"
               required="true"
               title="%wizardPage.title">
         </wizardPage>
      </contentTypeContributor>
   </extension>
 <extension
       point="info.textgrid.lab.ui.core.openObject">
    <openObject
          command="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen"
          label="Text-Image-Link-Editor"
          parameter_uri="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen.parameter1"
          parameter_readonly="info.textgrid.lab.linkeditor.rcp_linkeditor.defaultOpen.parameter2"
          priority="0">
       <contentType
             id="text/linkeditorlinkedfile">
       </contentType>
       <contentType
             id="image/jpeg">
       </contentType>
       <contentType
             id="image/tiff">
       </contentType>
       <contentType
             id="image/png">
       </contentType>
       <contentType
             id="image/gif">
       </contentType>
    </openObject>
 </extension>
</plugin>
